import { SimpleLocalIntegration } from '../../core/index.js';
import { NessAlarmConfigFlow } from './ness_alarm.classes.configflow.js';
import { createNessAlarmDiscoveryDescriptor } from './ness_alarm.discovery.js';
import type { INessAlarmConfig } from './ness_alarm.types.js';
import { nessAlarmDomain, nessAlarmProfile } from './ness_alarm.types.js';

export class NessAlarmIntegration extends SimpleLocalIntegration<INessAlarmConfig> {
  public readonly domain = nessAlarmDomain;
  public readonly discoveryDescriptor = createNessAlarmDiscoveryDescriptor();
  public readonly configFlow = new NessAlarmConfigFlow();

  constructor() {
    super(nessAlarmProfile);
  }
}

export class HomeAssistantNessAlarmIntegration extends NessAlarmIntegration {}
